import Maybe
import System
import IO

import Version
import Useful
import Parser
import FileHandling
import UserInput
import Fig

program_name = "spdi2fig"
program_description = "SPDI-To-Fig utility "++version
program_usage = 
    "Usage: "++program_name++" [-o <spdi.fig>] <file.spdi>\n"++
    "  where:\n"++
    "    <file.fig> is the name of the fig file to generate\n"++
    "    <file.spdi> is the name of the input file\n"
parse_arguments = 
  \ ~(_,spdi) -> 
     ( parseOption1Parameter "o" (parseFilenameExtension "fig") `defaultsTo` 
       changeFileExtension spdi "spdi" "fig"
     , parseFilenameExtension "spdi"
     )

main = 
  do { (fig, spdi) <- runProgramFix (program_description, program_usage) parse_arguments
     ; uinput <- fileToUserInput spdi
     ; figSignatureFile uinput fig [] True
     } `catch` showError

