import System
import IO

import Maybe 

import Version
import Useful

import FileHandling
import PS
import Parser


program_name = "spdi2ps"
program_description = "SPDI-To-PostScript utility "++version
program_usage = "Usage: "++program_name++" <file.spdi> [<file.ps>]\n"
parse_arguments = 
  \ ~(spdi, _) -> ( parseFilenameExtension "spdi"
                  , parseFilenameExtension "ps" `defaultsTo` changeFileExtension spdi "spdi" "ps"
                  ) 
 
main = 
  do { (spdi,ps) <- runProgramFix (program_description, program_usage) parse_arguments
     ; userinput <- fileToUserInput spdi
     ; psSPDIFile spdi userinput ps
     } `catch` showError
   
  
